WordPress.org

Plugin Directory

Locatoraid - Store Locator Plugin

Add a store locator map to your site and get your visitors to start finding you faster!

Requires: 3.3 or higher
Compatible up to: 4.1.3
Last Updated: 2015-4-14
Active Installs: 1,000+

Ratings

5 out of 5 stars

Support

6 of 10 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.